import { OnInit, KeyValueDiffers, KeyValueChanges } from '@angular/core';
import { TreeTableData } from '../classes/tree-table-data';
import { TreeTableRow } from '../classes/tree-table-row';
import { TreeTableRowAction } from '../classes/tree-table-row-action';
import { TreeTableHeaderObject } from '../classes/tree-table-header-object';
export declare class AngularTreeTableComponent implements OnInit {
    private differs;
    private dataDiffers;
    tableData: TreeTableData;
    filteredData: TreeTableRow[];
    className: string;
    randomInstance: any;
    dropdownHideListenerAdded: boolean;
    currentPageData: TreeTableData;
    private columnFiltersDiffers;
    json: any;
    extraInfoItemWidthPercent: number;
    constructor(differs: KeyValueDiffers);
    ngOnInit(): void;
    redefineTableDataFunctions(): void;
    dataChanged(changes: KeyValueChanges<string, any>): void;
    refreshTable(): void;
    ngDoCheck(): void;
    expandRow(row: TreeTableRow): void;
    collapseRow(row: TreeTableRow): void;
    expandAllRows(): void;
    expandAllRowsInData(data: TreeTableRow[]): void;
    collapseAllRows(): void;
    collapseAllRowsInData(data: TreeTableRow[]): void;
    toggleRow(row: TreeTableRow): void;
    rowAction(row: TreeTableRow, action: TreeTableRowAction): void;
    changePage(page: number): void;
    setPageData(pageNumber: number): void;
    clickableClicked(row: TreeTableRow, dataProperty: string): void;
    validateData(): void;
    columnSearchChanged(dataProperty: string): void;
    pageNumbers(): any[];
    exportExcelLocal(): void;
    sortColumn(header: TreeTableHeaderObject): void;
    sortAscend(header: TreeTableHeaderObject): void;
    sortDescend(header: TreeTableHeaderObject): void;
    search(): void;
    pageSizeChanged(): void;
    excelExportClicked(): void;
    getPageTo(): number;
}
